#include<stdio.h>
void main(){
    int a,b,x,y;
    scanf("%d",&a);
    scanf("%d",&b);
    scanf("%d",&x);
    scanf("%d",&y);
    if(a==x&b==y)
    {
        printf("nijedan");
    }
    else if(a==x&y<b)
    {
        printf("drugi");
    }
    else if(x<a&b==y)
    {
        printf("prvi");
    }
    else if(x<a&y<b)
    {
        printf("?");
    }
    else
    {
        printf("greska");
    }
}